webpackJsonp([15],{

/***/ 725:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PersonInfoPageModule", function() { return PersonInfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__person_info__ = __webpack_require__(768);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PersonInfoPageModule = /** @class */ (function () {
    function PersonInfoPageModule() {
    }
    PersonInfoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__person_info__["a" /* PersonInfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__person_info__["a" /* PersonInfoPage */]),
            ],
        })
    ], PersonInfoPageModule);
    return PersonInfoPageModule;
}());

//# sourceMappingURL=person-info.module.js.map

/***/ }),

/***/ 768:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PersonInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_globaldata_globaldata__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_service_user_service__ = __webpack_require__(362);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the PersonInfoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PersonInfoPage = /** @class */ (function () {
    function PersonInfoPage(navCtrl, navParams, actionSheetCtrl, modalCtrl, globaldata, userProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.actionSheetCtrl = actionSheetCtrl;
        this.modalCtrl = modalCtrl;
        this.globaldata = globaldata;
        this.userProvider = userProvider;
        //this.initData();
    }
    PersonInfoPage.prototype.ionViewWillEnter = function () {
        console.log('ionViewWillEnter PersonInfoPage');
        this.initData();
    };
    //修改单位名称
    PersonInfoPage.prototype.setDepartment = function () {
        //this.toSearchPage();
        this.navCtrl.push('ModifyInfoPage', { data: { type: "department", content: this.department_name } });
    };
    //设置头像
    PersonInfoPage.prototype.setAvatar = function () {
        this.presentActionSheet();
    };
    //修改手机号码
    PersonInfoPage.prototype.setMobilePhone = function () {
        this.navCtrl.push('ModifyInfoPage', { data: { type: "mobile", content: this.phone_num } });
    };
    //修改电子邮箱
    PersonInfoPage.prototype.setEmail = function () {
        this.navCtrl.push('ModifyInfoPage', { data: { type: "email", content: this.email } });
    };
    PersonInfoPage.prototype.initData = function () {
        this.userInfo = this.globaldata.getUserInfo();
        this.user_name = this.userInfo.userRealName;
        this.user_sex = this.userInfo.sex;
        this.department_name = this.userInfo.department;
        this.regionName = this.userInfo.areaName;
        this.zcName = this.userInfo.zcName;
        if (!this.userInfo.mobileNum) {
            this.phone_num = "未填写";
        }
        else {
            this.phone_num = this.userInfo.mobileNum;
        }
        if (!this.userInfo.email) {
            this.email = "未填写";
        }
        else {
            this.email = this.userInfo.email;
        }
    };
    // toSearchPage() {
    //   let modal = this.modalCtrl.create('SearchPage');
    //   modal.present();
    //   modal.onDidDismiss(data => {
    //     if (data) {
    //       //保存修改后的单位名称
    //       this.department_name = data.department;
    //       this.userInfo.department = this.department_name;
    //       this.userInfo.departmentID = data.ID;
    //       this.userProvider.modifyUserInfo(this.userInfo,this.navCtrl).then((res) => {
    //         if (res.result == 1) {
    //           this.globaldata.setUserInfo(this.userInfo);
    //         }
    //       });
    //     }
    //   });
    // }
    PersonInfoPage.prototype.toAreaSearchPage = function () {
        var _this = this;
        var modal = this.modalCtrl.create('RegionSearchPage');
        modal.present();
        modal.onDidDismiss(function (data) {
            if (data) {
                _this.regionName = data.areaName;
                _this.userInfo.areaName = data.areaName;
                _this.userInfo.areaId = data.areaID;
                _this.userProvider.modifyUserInfo(_this.userInfo, _this.navCtrl).then(function (res) {
                    if (res.result == 1) {
                        _this.globaldata.setUserInfo(_this.userInfo);
                    }
                });
            }
        });
    };
    PersonInfoPage.prototype.toZCSearchPage = function () {
        var _this = this;
        var modal = this.modalCtrl.create('ZcSearchPage');
        modal.present();
        modal.onDidDismiss(function (data) {
            if (data) {
                _this.zcName = data.zcName;
                _this.userInfo.zcName = data.zcName;
                _this.userInfo.zcId = data.zcId;
                _this.userProvider.modifyUserInfo(_this.userInfo, _this.navCtrl).then(function (res) {
                    if (res.result == 1) {
                        _this.globaldata.setUserInfo(_this.userInfo);
                    }
                });
            }
        });
    };
    PersonInfoPage.prototype.presentActionSheet = function () {
        var actionSheet = this.actionSheetCtrl.create({
            buttons: [
                {
                    text: '拍照',
                    handler: function () {
                        console.log('拍照 clicked');
                    }
                },
                {
                    text: '从相册选取',
                    handler: function () {
                        console.log('从相册选取 clicked');
                    }
                },
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ]
        });
        actionSheet.present();
    };
    PersonInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-person-info',template:/*ion-inline-start:"G:\ionic3\HHHT\src\pages\person-info\person-info.html"*/'<!--\n  Generated template for the PersonInfoPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>个人资料</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <ion-list>\n    <!--button ion-item (click)="setAvatar()">\n      <label item-left>头像</label>\n      <label item-right>\n        <ion-avatar>\n          <img src="../../assets/imgs/avatars/rabbit.jpg" item-right>\n        </ion-avatar>\n      </label>\n    </button-->\n    <ion-item>\n      <label item-left>头像</label>\n      <label item-right>\n        <ion-avatar>\n          <img src="assets/imgs/avatars/default.png" item-right>\n        </ion-avatar>\n      </label>\n    </ion-item>\n  </ion-list>\n\n  <ion-list>\n    <ion-item>\n      <label item-left>姓名</label>\n      <label item-right>{{user_name}}</label>\n    </ion-item>\n    <ion-item>\n      <label item-left>性别</label>\n      <label item-right>{{user_sex}}</label>\n    </ion-item>\n    <ion-item>\n      <label item-left>培训基地</label>\n      <label item-right>呼和浩特市人事考试中心</label>\n    </ion-item>    \n    <button ion-item (click)="toAreaSearchPage()">\n      <label item-left>归属区域</label>\n      <label item-right>{{regionName}}</label>\n    </button>\n    <button ion-item (click)="toZCSearchPage()">\n      <label item-left>职称</label>\n      <label item-right>{{zcName}}</label>\n    </button>\n    <button ion-item (click)="setDepartment()">\n      <label item-left>单位</label>\n      <label item-right>{{department_name}}</label>\n    </button>\n  </ion-list>\n\n  <ion-list>\n    <button ion-item (click)="setMobilePhone()">\n      <label item-left>手机</label>\n      <label item-right>{{phone_num}}</label>\n    </button>\n    <button ion-item (click)="setEmail()">\n      <label item-left>邮箱</label>\n      <label item-right>{{email}}</label>\n    </button>\n  </ion-list>\n</ion-content>'/*ion-inline-end:"G:\ionic3\HHHT\src\pages\person-info\person-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ModalController */], __WEBPACK_IMPORTED_MODULE_2__providers_globaldata_globaldata__["a" /* GlobaldataProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_user_service_user_service__["a" /* UserServiceProvider */]])
    ], PersonInfoPage);
    return PersonInfoPage;
}());

//# sourceMappingURL=person-info.js.map

/***/ })

});
//# sourceMappingURL=15.js.map